<script setup lang="ts">

import MapGestion from '../components/home/map.component.vue';
import Meteo from '../components/home/meteo.component.vue';
import NavBar from '../components/home/NavBar.vue';
import Information from '../components/home/information.component.vue'
import DiscutionComponent from '../components/home/discution.component.vue'
import stockage from '../components/home/stockage.component.vue';
import Vehicule from '../components/home/vehicule.component.vue';
import GestionFinance from '../components/home/gestionFinance.vue';


</script>



<template>
    <div class="bg-AAPPgreen vh-100  ">

        <div class="d-flex h-100 ">
            
            <div class="bg-white">
                <NavBar/>
            </div>

            <div class="p-3 d-flex justify-content-center  w-100">
                <div class="d-flex">
                    <div>
                        <div>
                            <GestionFinance :dayReturn="1868"  :monthReturn="37868.95" :out="13883.9"/>
                        </div>
                        <div class="d-flex">
                            <div>
                                <div>
                                    <Meteo />
                                </div>
                                <div>
                                    <MapGestion />
                                </div>
                                
                            </div>
                            <div>
                                <div>
                                    <stockage/>
                                </div>
                                <div>
                                    <Vehicule/>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="ms-5" >
                    <div>
                        <Information/>
                    </div>
                    
                    <div>
                        <DiscutionComponent/>
                    </div>
                   </div>
                </div>


            </div>

        </div>
        

    </div>
</template>
